import { IRoomService } from '../types';

interface IConfigManager {
    setTheme(theme: Theme): void;
    setLanguage(language: LanguageOption): void;
}
export type LanguageOption = 'zh-CN' | 'en-US';
export type Theme = 'white' | 'black';
export declare class ConfigManager implements IConfigManager {
    private service;
    constructor(service: IRoomService);
    setTheme(theme: Theme): void;
    setLanguage(language: LanguageOption): void;
}
export {};
